#include <PIC18F4431_config.h>

#define DC_MOTOR

#include "init.h"
#include "init.c"

#include "delay.h"
#include "delay.c"

#define MAX_CURRENT 1000

/**
 * @note This Example shows how to initialize a DC motor in Signed magnitude Modality.
 *       After Initialization both motors are driven. 
 *       One motor is rotating clockwise, while the second one anticlockwise.
 */

//************************************************************
// Main Program
//************************************************************

void main (void){

    board_initialization ();

    initialize_DC_motor (SIGNED_MAGNITUDE,PWM_FREQ_10KHZ, MAX_CURRENT);

    rotate_motor_clockwise (MOTOR_1, 180);

    rotate_motor_anticlockwise (MOTOR_2, 150);

    delay_ms (100);

    while (1) {

        system_check ();
    }
}



