#include <PIC18F4431_config.h>

#define DC_MOTOR

#include "init.h"
#include "init.c"

#include "delay.h"
#include "delay.c"


#define MAX_CURRENT 1000

/**
 * @note This Example shows how to initialize a DC motor in LAP Modality.
 *       After Initialization both motors are driven. 
 *       One motor is rotating clockwise, while the second one anticlockwise.
 */

//************************************************************
// Main program
//************************************************************

void main (void){
 
    board_initialization ();

    initialize_DC_motor (LAP,PWM_FREQ_10KHZ,MAX_CURRENT);

    rotate_motor_anticlockwise (MOTOR_1, 300);
    rotate_motor_clockwise (MOTOR_2, 500);

    delay_ms (100);

    while (1) {
        system_check ();
    }
}



