#include <PIC18F4431_config.h>

#include "init.h"
#include "init.c"

#include "delay.h"
#include "delay.c"

#define NUMBER_OF_STEPS 1000
#define PHASE_CURRENT 95
#define MAX_CURRENT 5000

/**
 * @note This Example shows how to initialize a Stepper motor in half Step Modality.
 *       After Initialization the motor makes NUMBER_OF_STEPS steps clockwise.
 *       After NUMBER_OF_STEPS steps, the motor is halted keeping the position. 
 *       After a little pause the motor rotates anticlockwise to the original position.
 *       This loop is repeated indefinitely. 
 */

//************************************************************
// Main Program
//************************************************************

void main (void){

	int i; 

	board_initialization ();

	initialize_stepper_motor (HALF_STEP, PWM_FREQ_20KHZ, MAX_CURRENT);

	while (1) {		

		for (i=0; i < NUMBER_OF_STEPS; i++) {
			step_motor_clockwise (PHASE_CURRENT);
			system_check ();
		}

		delay_ms (1000);

		for (i=0; i < NUMBER_OF_STEPS + 1; i++) {				
			step_motor_anticlockwise (PHASE_CURRENT);
			system_check ();
		}

   		delay_ms (1000);
	}
}



