#include <PIC18F4431_config.h>

#define DC_MOTOR

#include "init.h"
#include "init.c"

#include "delay.h"
#include "delay.c"

#define MAX_CURRENT 1000

/**
 * @note This Example shows how to performe ADC readings from different sources.
 *       The example initialize DC motors just to have a source for the current reading.
 *       Each reading is commented out to let the user test each source individually.
 *       The reading is sent out via RS485.
 */


//************************************************************
// Main Program
//************************************************************

void main (void){

	board_initialization ();

	initialize_RS485 (BAUD_RATE_115200,RX_INTERRUPT_OFF, TX_INTERRUPT_OFF);	

	initialize_DC_motor (SIGNED_MAGNITUDE,PWM_FREQ_4KHZ, MAX_CURRENT);

	rotate_motor_clockwise (MOTOR_1, 500); 
	rotate_motor_clockwise (MOTOR_2, 400); 

	while (1) {

		//write_const_string_RS485 ("POT_1 : "); 
		//write_int_ASCII_RS485 (ADC_read_POT_1 (), 3);

		write_const_string_RS485 ("POT_2 : "); 
		write_int_ASCII_RS485 (ADC_read_POT_2 (), 3);

		//write_const_string_RS485 ("Temperature : "); 
		//write_int_ASCII_RS485 (ADC_read_TEMP (), 3);

		//write_const_string_RS485 ("Input Voltage [V] : "); 
		//write_int_ASCII_RS485 (ADC_read_VIN_TEST (), 2);	

		//write_const_string_RS485 ("Current Motor 1 [mA]: "); 
		//write_int_ASCII_RS485 (ADC_read_motor_current (MOTOR_1), 4);

		//write_const_string_RS485 ("Current Motor 2 [mA]: "); 
		//write_int_ASCII_RS485 (ADC_read_motor_current (MOTOR_2), 4);
                
                delay_ms (250);
	}
}




